Raised This Month: $226 Target: $400
 56% 

MapChooser Extended 1.10.2 (Updated 2014-02-05)


Post New Thread Reply   
 
Thread Tools Display Modes
John.Smith
Junior Member
Join Date: Jul 2010
Old 05-16-2011 , 17:19   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #11

Yes, its Sourcemod 1.3.7.

I will reinstall the entire plugin from the zip file in the first post.
We will see if its my fault.

lg
Smith
John.Smith is offline
John.Smith
Junior Member
Join Date: Jul 2010
Old 05-16-2011 , 17:34   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #12

So, it was my fault. Sorry for that.
The zip file contain in the translation folder a mapchooser_fr.zip.
I thought it has to be replaced with the original mapchooser_extended.phrases in the fr folder. The error lines in my first post are the result from this replacement.
Now im using the original mapchooser_extended.phrases.txt for fr and the erros are gone.
But:

Now there are these Erros ;-)

L 05/16/2011 - 23:22:14: -------- Mapchange to de_dust --------
L 05/16/2011 - 23:22:14: [SM] Fatal error encountered parsing translation file "fr/mapchooser_extended.phrases.txt"
L 05/16/2011 - 23:22:14: [SM] Error (line 19, column 82): Line contained too many invalid tokens

but im sure now that your plugin is perfectly installed ;-)

Is there a chance to fix this error message ?

lg
Smith
John.Smith is offline
John.Smith
Junior Member
Join Date: Jul 2010
Old 05-16-2011 , 17:40   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #13

I forgot to say that the old mapchooser.smx is in the disabled folder .......
John.Smith is offline
Powerlord
AlliedModders Donor
Join Date: Jun 2008
Location: Seduce Me!
Old 05-16-2011 , 17:46   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #14

Quote:
Originally Posted by John.Smith View Post
So, it was my fault. Sorry for that.
The zip file contain in the translation folder a mapchooser_fr.zip.
I thought it has to be replaced with the original mapchooser_extended.phrases in the fr folder. The error lines in my first post are the result from this replacement.
Now im using the original mapchooser_extended.phrases.txt for fr and the erros are gone.
But:

Now there are these Erros ;-)

L 05/16/2011 - 23:22:14: -------- Mapchange to de_dust --------
L 05/16/2011 - 23:22:14: [SM] Fatal error encountered parsing translation file "fr/mapchooser_extended.phrases.txt"
L 05/16/2011 - 23:22:14: [SM] Error (line 19, column 82): Line contained too many invalid tokens

but im sure now that your plugin is perfectly installed ;-)

Is there a chance to fix this error message ?

lg
Smith
You should have both of these files installed:
addons/sourcemod/translations/mapchooser_extended.phrases.txt (this file is in English)
addons/sourcemod/translations/fr/mapchooser_extended.phrases.txt (this file is in French)

Both are required for the translation system to work, as the English file also defines what {1} and {2} mean.

If this is the case, I'll have to do more research as to why the French translation isn't working.
__________________
Not currently working on SourceMod plugin development.
Powerlord is offline
John.Smith
Junior Member
Join Date: Jul 2010
Old 05-16-2011 , 17:51   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #15

Quote:
Originally Posted by Powerlord View Post
You should have both of these files installed:
addons/sourcemod/translations/mapchooser_extended.phrases.txt (this file is in English)
addons/sourcemod/translations/fr/mapchooser_extended.phrases.txt (this file is in French)

Both are required for the translation system to work, as the English file also defines what {1} and {2} mean.

If this is the case, I'll have to do more research as to why the French translation isn't working.

Yes, both phrases are in the right place.

en here: addons/sourcemod/translations/
fr here: addons/sourcemod/translations/fr/


I have upped the entire folder layout to my server.
So all is on his right place.

lg
Smith
John.Smith is offline
Powerlord
AlliedModders Donor
Join Date: Jun 2008
Location: Seduce Me!
Old 05-16-2011 , 17:51   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #16

I made a mistake. mapchooser_fr.zip should not be in the zip file. I already copied the french translation into the Mapchooser Extended translations folder.

I will update the zip to remove it.

I think what's happening is that it is erroring because the zipped version of the french translation file included "#format" lines that you do not need, because they are already defined in the English translation file.

This may be fixed if you download the new zip and use the translation files as they are set up in the zip file. If not, let me know.
__________________
Not currently working on SourceMod plugin development.

Last edited by Powerlord; 05-16-2011 at 17:56.
Powerlord is offline
John.Smith
Junior Member
Join Date: Jul 2010
Old 05-16-2011 , 17:56   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #17

Yeah i know. But this is not the explanation for the errors, i think ? ;-)

I deleted the zip already.

lg
Smith
John.Smith is offline
Powerlord
AlliedModders Donor
Join Date: Jun 2008
Location: Seduce Me!
Old 05-16-2011 , 17:58   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #18

Quote:
Originally Posted by John.Smith View Post
Yeah i know. But this is not the explanation for the errors, i think ? ;-)

I deleted the zip already.

lg
Smith
I will look into this further, then.
__________________
Not currently working on SourceMod plugin development.
Powerlord is offline
DaRk56
Senior Member
Join Date: Jul 2009
Location: France
Old 05-16-2011 , 23:06   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #19

I quickly look at my translation seems to me that I have not made a mistake =/
DaRk56 is offline
Powerlord
AlliedModders Donor
Join Date: Jun 2008
Location: Seduce Me!
Old 05-17-2011 , 14:17   Re: MapChooser Extended 1.5 (Updated 2011-05-15)
Reply With Quote #20

OK, I see what happened. There was a missing { on the previous line. I thought it was referring to the {1} tokens, not brackets.

I probably deleted one too many lines when removing the #format commands (as I updated the file to use it with the SourceMod 1.1 Distributing Language Files technique).

Here's the new French translation file for use in translations/fr/ for this system. I also updated the main zip in the first post.
Attached Files
File Type: txt mapchooser_extended.phrases.txt (1.5 KB, 302 views)
__________________
Not currently working on SourceMod plugin development.

Last edited by Powerlord; 05-17-2011 at 14:44.
Powerlord is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 03:55.


Powered by vBulletin®
Copyright ©2000 - 2021, vBulletin Solutions, Inc.
Theme made by Freecode